Main Page Modules Data Structures File List Data Fields Globals Related Pages

# popt/poptparse.c File Reference

More...

`#include "system.h"`

Go to the source code of this file.

## Defines

#define | POPT_ARGV_ARRAY_GROW_DELTA 5

## Functions

int | poptDupArgv (int argc, const char **argv, int *argcPtr, const char ***argvPtr)
int | poptParseArgvString (const char *s, int *argcPtr, const char ***argvPtr)

## Detailed Description

Definition in file poptparse.c.

## Define Documentation

#define POPT_ARGV_ARRAY_GROW_DELTA 5

| Definition at line 11 of file poptparse.c. Referenced by poptParseArgvString.

## Function Documentation

int poptDupArgv | ( | int | argc,
|  | const char ** | argv,
|  | int * | argcPtr,
|  | const char *** | argvPtr
| ) |

| Definition at line 13 of file poptparse.c. Referenced by handleAlias, poptParseArgvString, and poptStuffArgs.

int poptParseArgvString | ( | const char * | s,
|  | int * | argcPtr,
|  | const char *** | argvPtr
| ) |

| Definition at line 54 of file poptparse.c. References alloca, POPT_ARGV_ARRAY_GROW_DELTA, and poptDupArgv. Referenced by addOrAppendListEntry, checkPassPhrase, configLine, doScript, doSetupMacro, ftpGlob, generateDepends, handlePreambleTag, ignoreDep, makeGPGSignature, makePGPSignature, parseDescription, parseFiles, parseScript, rpmGlob, verifyGPGSignature, and verifyPGPSignature.